var baseUrl = 'http://120.79.167.18/food.shop.api';
var service = {};


//获取公告
service.getNotices = function(success){
  $api.get(baseUrl + '/notice/list.do', success);
};

//获取客服热线
service.getHotlines = function(success){
  $api.get(baseUrl + '/hotline/list.do', success);
};

//获取产品分类
service.getProductTypes = function(parentId, success){
  var query = "";
  if(parentId !== ""){
    query = '?parentId=' + parentId;
  }
  $api.get(baseUrl + '/productType/tjlist.do' + query, success);
}

//首页获取产品分类
service.getProductTypesHome = function(parentId, success){
  var query = "";
  if(parentId !== ""){
    query = '?parentId=' + parentId;
  }
  $api.get(baseUrl + '/productType/list.do' + query, success);
}

//获取分类产品下的所有商品
service.getProducts = function(typeId, promotion, orderByField, ase, search, pageIndex, pageSize, success){
  var query = '?typeId=' + typeId + '&promotion=' + promotion + '&orderByField=' + orderByField + '&ase=' + ase + '&pageNum=' + pageIndex + '&pageSize=' + pageSize;
  //console.log(query);
  if(search !== ""){
    query += "&search=" + search
  };
  // console.log(baseUrl + '/product/list.do' + query);
  $api.get(baseUrl + '/product/list.do' + query, success);
}

//获取轮播图
service.getCarousels = function(success){
  $api.get(baseUrl + '/carousel/list/M.do', success);
}

//登陆
service.login = function(data, success){
  data.rememberMe = true;
  $.ajax({
     url: baseUrl + '/user/login.do',
     type: "post",
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//注销
service.logout = function(success){
  $.ajax({
     url: baseUrl + '/user/login.do',
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//注册
service.register = function(data, success){
  $.ajax({
     url: baseUrl + '/user/regist/telephone.do',
     type: "post",
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//重置密码
service.resetPwd = function(data, success){
  // console.log($api.jsonToStr(data));
  $.ajax({
     url: baseUrl + '/user/telephone/findPassword.do',
     type: "post",
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//获取验证码
service.captcha = function(telephone, success){
  $api.get(baseUrl + '/user/get/telephone/code.do?telephone=' + telephone, success);
}

//找回密码
// service.resetPwd = function(data, success){
//   $api.post(baseUrl + '/user/telephone/findPassword.do', data, success);
// }

//获取地址列表
service.getCityList = function(success){
  $api.get(baseUrl + '/addr/tree.do', success);
}

//新增并绑定企业
service.addAndbindEnterprise = function(data, success){
  $.ajax({
     url: baseUrl + '/company/add.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//获取所有企业
service.getEnterprise = function(success){
  $.ajax({
     url: baseUrl + '/company/search.do?pageSize=500&pageNum=1',
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//获取加入企业列表
service.getJoinEnterprise = function(success,searchValue){
  if(searchValue == undefined){
    searchValue = "";
  };
  // console.log(baseUrl + '/company/searchCompanyInfo.do?search='+searchValue+'&pageSize=500&pageNum=1');
  $.ajax({
     url: baseUrl + '/company/searchCompanyInfo.do?search='+searchValue+'&pageSize=500&pageNum=1',
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//添加企业
service.addEnterprise = function(data,success){
  $.ajax({
     url: baseUrl + '/company/add.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     data: data,
     success: success
  })
}

//获取账号申请列表
service.getAccountList = function(companyId,success){
  // console.log(baseUrl + '/companyUser/isNeedVerify.do?companyId=' + companyId);
  $api.get(baseUrl + '/companyUser/isNeedVerify.do?companyId=' + companyId, success);
}

//获取门店下账号列表
service.getCompanyUser = function(companyId,userId,success){
  console.log(baseUrl + '/companyUser/getCompanyUserManager.do?companyId='+companyId+'&userId='+userId+'&pageSize=500&pageNum=1');
  $.ajax({
     url: baseUrl + '/companyUser/getCompanyUserManager.do?companyId='+companyId+'&userId='+userId+'&pageSize=500&pageNum=1',
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//获取门店下待审核用户列表
service.getCheckedUser = function(companyId,success){
  $.ajax({
     url: baseUrl + '/companyUser/getNeedVerifyListInfo.do?companyId='+companyId,
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//对待审核用户进行处理
service.examineUser = function(data,success){
  console.log($api.jsonToStr(data));
  $.ajax({
     url: baseUrl + '/companyUser/verify.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//添加企业下子账号
service.addAccount = function(data,success){
  $.ajax({
     url: baseUrl + '/companyUser/addCompanyUserInfo.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}


//加入指定企业
service.joinEnterprise = function(data,success){
  $.ajax({
     url: baseUrl + '/companyUser/joinCompanyInfo.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     data: data,
     success: success
  })
}

//解除绑定企业
service.untie = function(data,success){
  $.ajax({
     url: baseUrl + '/companyUser/UntieCompany.do?userId='+data,
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//设置当前用户为当前企业管理员
service.updateManager = function(data,success){
  $.ajax({
     url: baseUrl + '/companyUser/updateManager.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     data: data,
     success: success
  })
}

//删除企业下用户
service.delUser = function(data,success){
  $.ajax({
     url: baseUrl + '/companyUser/deleteUser.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     data: data,
     success: success
  })
}

//获取未绑定企业用户
service.getUnEnterpriseUser = function(data,success){
  console.log($api.jsonToStr(data));
  $.ajax({
     url: baseUrl + '/company/bindCompany.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//企业绑定用户
service.addEnterpriseUser = function(data,success){
  $.ajax({
     url: baseUrl + '/company/bindCompany.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//获取企业绑定用户
service.getEnterpriseUser = function(companyId,success){
  $api.get(baseUrl + '/user/getUserByCompanyId.do?companyId=' + companyId, success);
}

//获取我的收货地址
service.getMyAddress = function(success){
  $.ajax({
     url: baseUrl + '/receiverAddr/list.do',
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//添加收货地址
service.addAddress = function(data, success){
  $.ajax({
     url: baseUrl + '/receiverAddr/add.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//设置默认收货地址
service.setDefaultAddress = function(data, success){
  $.ajax({
     url: baseUrl + '/receiverAddr/setDefault.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//获取地址的详细信息
service.getAddressInfo = function(id, success){
  $.ajax({
     url: baseUrl + '/receiverAddr/get.do?id=' + id,
     type: "get",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     success: success
  })
}

//删除收货地址
service.removeAddress = function(id, success){
  $.ajax({
     url: baseUrl + '/receiverAddr/delete.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: {id: id},
     success: success
  })
}

//修改收货地址
service.updateAddress = function(data, success){
  $.ajax({
     url: baseUrl + '/receiverAddr/update.do',
     type: "post",
     beforeSend: function(xhr){
       xhr.setRequestHeader('session', $api.getStorage('session'));
     },
     contentType: "application/x-www-form-urlencoded",
     data: data,
     success: success
  })
}

//获取个人信息
service.getUserInfo = function(success){
  $.ajax({
    url: baseUrl + '/user/info/get.do',
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err))
    }
  })
}

//设置昵称
service.setNickName = function(nickName, success){
  $.ajax({
    url: baseUrl + '/user/info/set/nickName.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    contentType: "application/x-www-form-urlencoded",
    data: {nickName: nickName},
    success: success
  })
}

//设置性别
service.setSex = function(sex, success){
  $.ajax({
    url: baseUrl + '/user/info/set/sex.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    contentType: "application/x-www-form-urlencoded",
    data: {sex: sex},
    success: success
  })
}

//设置生日 yyyy-MM-dd
service.setBirthday = function(birthday, success){
  $.ajax({
    url: baseUrl + '/user/info/set/birthday.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    contentType: "application/x-www-form-urlencoded",
    data: {birthday: birthday},
    success: success
  })
}

//设置生日 yyyy-MM-dd
service.uploadAvator = function(path, success){
  api.ajax({
    url: baseUrl + '/user/uploadImage.do',
    method: 'post',
    headers: {'session': $api.getStorage('session')},
    data: {
        files: {
            file: path
        }
    }
  }, success);
}

//获取常见问题
service.getFaq = function(success){
  $.ajax({
    url: baseUrl + '/faq/list.do',
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success
  })
}

//获取某个常见问题的答案
service.getAnswer = function(id, success){
  $.ajax({
    url: baseUrl + '/faq/answerlist.do?id=' + id,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//获取服务中心文章列表
service.getServiceCenterList = function(success){
  $.ajax({
    url: baseUrl + '/article/list.do',
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//获取某个服务的具体文章内容
service.getServiceArticle = function(id, success){
  $.ajax({
    url: baseUrl + '/article/get.do?id=' + id,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success
  })
}

//我的反馈列表
service.getFeedbackList = function(success){
  $.ajax({
    url: baseUrl + '/feedback/list.do',
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

//获取反馈信息
service.getFeedbackInfo = function(id, success){
  $.ajax({
    url: baseUrl + '/feedback/get.do?id=' + id,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success
  })
}
//提交反馈信息
service.commitFeedbackInfo = function(data, success){
  $.ajax({
    url: baseUrl + '/feedback/commit.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    contentType: "application/x-www-form-urlencoded",
    data: data,
    success: success
  })
}

// 我的返现
service.myReturnCash = function(userId, pageNum, pageSize, success){
  $.ajax({
    url: baseUrl + '/returnMoneyLog/getMyReturnMoney.do?userId=' + userId + '&pageNum=' + pageNum + '&pageSize=' + pageSize,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

// 我的钱包
service.myPacket = function(userId, pageNum, pageSize, success){
  $.ajax({
    url: baseUrl + '/wallet/getMyWallet.do?userId=' + userId + '&pageNum=' + pageNum + '&pageSize=' + pageSize,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

// 我的订单 （DFK：待付款。DFH：待发货。CANCEL取消。DSH待收货。TH退货），可以为空，为空时查询所有订单的状态。
service.myOrders = function(status, pageNum, pageSize, success){
  $.ajax({
    url: baseUrl + '/order/list.do?orderNo=' + "" + '&status=' + status + '&pageNum=' + pageNum + '&pageSize=' + pageSize,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

//我的购物车
service.myCart = function(success){
  $.ajax({
    url: baseUrl + '/cart/list.do',
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//预览订单
service.previewOrder = function(ids, addrId, success){
  // console.log(baseUrl + '/order/preview.do?itemIds=' + ids + '&addrId=' + addrId);
  $.ajax({
    url: baseUrl + '/order/preview.do?itemIds=' + ids + '&addrId=' + addrId,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

//提交订单
service.submitOrder = function(data, success){
  console.log(baseUrl + '/order/submit.do');
  $.ajax({
    url: baseUrl + '/order/submit.do',
    data: data,
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//查看订单详情
service.getOrderInfo = function(orderId, success){
  $.ajax({
    url: baseUrl + '/order/getOrderCountDown.do?orderId=' + orderId,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//取消订单
service.cancelOrder = function(orderId, success){
  console.log(orderId);
  $.ajax({
    url: baseUrl + '/order/cancel.do?orderId=' + orderId,
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//添加菜品到购物车
service.addToCart = function(data, success){
  $.ajax({
    url: baseUrl + '/cart/add.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    contentType: "application/x-www-form-urlencoded",
    data: data,
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

//删除购物车中的商品
service.deleteFromCart = function(data, success){
  $.ajax({
    url: baseUrl + '/cart/delete.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    contentType: "application/x-www-form-urlencoded",
    data: {ids: data},
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

// 确认收货
service.receipt = function(id, success){
  $.ajax({
    url: baseUrl + '/order/receipt.do?id=' + id,
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

//获取默认地址
service.getDefaultAddress = function(success){
  $.ajax({
    url: baseUrl + '/receiverAddr/getDefault.do',
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(err);
    }
  })
}

//查询常用清单
service.getCommonUseList = function(pageNum, pageSize, success){
  $.ajax({
    url: baseUrl + '/commonUse/list.do?orderByField=id&pageNum=' + pageNum + "&pageSize=" + pageSize,
    type: "get",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//添加商品到常用清单
service.addToCommonUseList = function(companyId, productId, success){
  $.ajax({
    url: baseUrl + '/commonUse/add.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    data: {companyId: companyId, productId: productId},
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//从常用清单中移除
service.removeFromCommonUseList = function(id, success){
  $.ajax({
    url: baseUrl + '/commonUse/cancel.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    data: {id: id},
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

// 新品需求
service.newDemand = function(data, success){
  $.ajax({
    url: baseUrl + '/NewProductDemand/add.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    data: data,
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

// 消息推送模块
// 注册时添加手机注册id
service.addRegisterId = function(userId, registerId, success){
  $.ajax({
    url: baseUrl + '/push/add.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    data: {userId: userId, registerId: registerId},
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//更新用户的手机注册id
service.updateRegisterId = function(userId, registerId, success){
  // console.log($api.jsonToStr({userId: userId, registerId: registerId}));
  // console.log(baseUrl + '/push/updateByUserId.do')
  $.ajax({
    url: baseUrl + '/push/updateByUserId.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    data: {userId: userId, registerId: registerId},
    success: success,
    error: function(err){
      alert(JSON.stringify(err));
    }
  })
}

// 第三方支付
service.pay = function(orderInfo, success){
  $.ajax({
    url: baseUrl + '/pay/generatePaymentTradeInfo.do',
    type: "post",
    beforeSend: function(xhr){
      xhr.setRequestHeader('session', $api.getStorage('session'));
    },
    data: orderInfo,
    success: success,
    error: function(err){
      console.log(JSON.stringify(err));
    }
  })
}

//公共方法
service.getDate = function(param){
  var date;
  if(param){
    date = new Date(param);
  }else{
    date = new Date();
  }
  var day = date.getDate().toString().length === 2 ? date.getDate() : "0" + date.getDate();
  var tempMonth = date.getMonth() + 1;
  var month = tempMonth.toString().length === 2 ? tempMonth : "0" + tempMonth;
  var year = date.getFullYear();
  var birthday = year + "-" + month + "-" + day;
  return birthday;
}

service.sharedAmountDialogStyle = {
    bg: '#fff',
    corner: 0.5,
    w: 300,
    h: 180,
    title: {
        marginT: 20,
        size: 14,
        color: '#000'
    },
    input: {
        w: 150,
        h: 44,
        marginT: 15,
        size: 14,
        color: '#000'
    },
    dividingLine: {
        marginT: 10,
        width: 0.5,
        color: '#696969'
    },
    left: {
        marginL: 25,
        w: 120,
        h: 40,
        bg: '#42c95e',
        color: '#fff',
        size: 14
    },
    right: {
        marginR: 25,
        w: 120,
        h: 40,
        bg: '#42c95e',
        color: '#fff',
        size: 14
    }
}

service.sharedInputDialogStyle = {
    bg: '#fff',
    corner: 4,
    w: 300,
    h: 130,
    title: {
        h: 40,
        alignment: 'center',
        size: 16,
        color: '#42c95e',
        marginT: 14,
    },
    input: {
        h: 30,
        marginT: 0,
        marginLeft: 30,
        marginRight: 30,
        textSize: 16,
        textColor: '#000',
        borderColor:'rgba(0,0,0, 0.4)',
        verticalCenter:true,
        borderWidth:1
    },
    dividingLine: {
        width: 0.5,
        color: '#696969'
    },
    left: {
        bg: 'rgba(0,0,0,0)',
        color: '#42c95e',
        size: 15,
        h: 40
    },
    right: {
        bg: 'rgba(0,0,0,0)',
        color: '#42c95e',
        size: 15,
        h: 40
    },
    horizontalLine:{
      color:'rgba(245,245,245,0)', //（可选项）字符串类型；左右按钮上边横线的颜色，支持rgb、rgba、#；默认：'rgba(245,245,245,0)'
      height:0               //（可选项）数字类型；左右边按钮横线的高度；默认：0
    },
}
